A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
min
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Numeric functions

## Functions
array | min (const array &lhs, const array &rhs)
| C++ Interface to find the elementwise minimum between two arrays.
array | min (const array &lhs, const double rhs)
| C++ Interface to find the elementwise minimum between an array and a scalar value.
array | min (const double lhs, const array &rhs)
| C++ Interface to find the elementwise minimum between an array and a scalar value.
af_err | af_minof (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface to find the elementwise minimum between two arrays.

## Detailed Description

Returns the elementwise minimum between two arrays.

## Function Documentation

## ◆ af_minof()

af_err af_minof | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch )

C Interface to find the elementwise minimum between two arrays.

Parameters

  [out] | out | minimum
  [in] | lhs | input array
  [in] | rhs | input array
  [in] | batch | batch mode

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ min() [1/3]

array min | ( | const array & | lhs,
|  | const array & | rhs )

C++ Interface to find the elementwise minimum between two arrays.

Parameters

  [in] | lhs | input array
  [in] | rhs | input array

Returns
  minimum

## ◆ min() [2/3]

array min | ( | const array & | lhs,
|  | const double | rhs )

C++ Interface to find the elementwise minimum between an array and a scalar value.

Parameters

  [in] | lhs | input array
  [in] | rhs | scalar value

Returns
  minimum

## ◆ min() [3/3]

array min | ( | const double | lhs,
|  | const array & | rhs )

C++ Interface to find the elementwise minimum between an array and a scalar value.

Parameters

  [in] | lhs | scalar value
  [in] | rhs | input array

Returns
  minimum